<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCustomizedsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: customizeds
         */
        Schema::create('customizeds', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->integer('product_id')->nullable();
            $table->string('slug', 255)->nullable();
            $table->longText('name')->nullable();
            $table->float('price')->nullable();
            $table->integer('quantity')->nullable();
            $table->enum('status', ['Draft','Ordered','Underconstruction','Produced','Shipped','Delivered','Completed'])->nullable();
            $table->longText('description')->nullable();
            $table->longText('attributes')->nullable();
            $table->text('image')->nullable();
            $table->date('delivered_date')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('customizeds');
    }
}
