<?php

namespace Shopping\Customized;

use User;

class Customized
{
    /**
     * $customized object.
     */
    protected $customized;
    /**
     * $group object.
     */
    protected $group;
    /**
     * $attributes object.
     */
    protected $attributes;

    /**
     * Constructor.
     */
    public function __construct(\Shopping\Customized\Interfaces\CustomizedRepositoryInterface $customized,
        \Shopping\Customized\Interfaces\GroupRepositoryInterface $group,
        \Shopping\Customized\Interfaces\AttributesRepositoryInterface $attributes)
    {
        $this->customized = $customized;
        $this->group = $group;
        $this->attributes = $attributes;
    }

    /**
     * Returns count of customized.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.customized.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->customized->pushCriteria(new \Litepie\Shopping\Repositories\Criteria\CustomizedUserCriteria());
        }

        $customized = $this->customized->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('customized::' . $view, compact('customized'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.group.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->group->pushCriteria(new \Litepie\Shopping\Repositories\Criteria\GroupUserCriteria());
        }

        $group = $this->group->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('customized::' . $view, compact('group'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.attributes.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->attributes->pushCriteria(new \Litepie\Shopping\Repositories\Criteria\AttributesUserCriteria());
        }

        $attributes = $this->attributes->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('customized::' . $view, compact('attributes'))->render();
    }
}
