<?php

namespace Shopping\Customized\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Customized policy
        'Shopping\Customized\Models\Customized' => \Shopping\Customized\Policies\CustomizedPolicy::class,
// Bind Group policy
        'Shopping\Customized\Models\Group' => \Shopping\Customized\Policies\GroupPolicy::class,
// Bind Attributes policy
        'Shopping\Customized\Models\Attributes' => \Shopping\Customized\Policies\AttributesPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
