<?php

namespace Shopping\Customized\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AttributesTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Customized\Models\Attributes $attributes)
    {
        return [
            'id'                => $attributes->getRouteKey(),
            'key'               => [
                'public'    => $attributes->getPublicKey(),
                'route'     => $attributes->getRouteKey(),
            ], 
            'id'                => $attributes->id,
            'group_id'          => $attributes->group_id,
            'order'             => $attributes->order,
            'slug'              => $attributes->slug,
            'name'              => $attributes->name,
            'title'             => $attributes->title,
            'class'             => $attributes->class,
            'image'             => $attributes->image,
            'description'       => $attributes->description,
            'created_at'        => $attributes->created_at,
            'updated_at'        => $attributes->updated_at,
            'deleted_at'        => $attributes->deleted_at,
            'url'               => [
                'public'    => trans_url('customized/'.$attributes->getPublicKey()),
                'user'      => guard_url('customized/attributes/'.$attributes->getRouteKey()),
            ], 
            'status'            => trans('app.'.$attributes->status),
            'created_at'        => format_date($attributes->created_at),
            'updated_at'        => format_date($attributes->updated_at),
        ];
    }
}