<?php

namespace Shopping\Customized\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CustomizedTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Customized\Models\Customized $customized)
    {
        return [
            'id'                => $customized->getRouteKey(),
            'key'               => [
                'public'    => $customized->getPublicKey(),
                'route'     => $customized->getRouteKey(),
            ], 
            'id'                => $customized->id,
            'user_id'           => $customized->user_id,
            'product_id'        => $customized->product_id,
            'slug'              => $customized->slug,
            'name'              => $customized->name,
            'price'             => $customized->price,
            'quantity'          => $customized->quantity,
            'status'            => $customized->status,
            'description'       => $customized->description,
            'attributes'        => $customized->attributes,
            'image'             => $customized->image,
            'delivered_date'    => $customized->delivered_date,
            'created_at'        => $customized->created_at,
            'updated_at'        => $customized->updated_at,
            'deleted_at'        => $customized->deleted_at,
            'url'               => [
                'public'    => trans_url('customized/'.$customized->getPublicKey()),
                'user'      => guard_url('customized/customized/'.$customized->getRouteKey()),
            ], 
            'status'            => trans('app.'.$customized->status),
            'created_at'        => format_date($customized->created_at),
            'updated_at'        => format_date($customized->updated_at),
        ];
    }
}