<?php

namespace Shopping\Customized\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class GroupTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Customized\Models\Group $group)
    {
        return [
            'id'                => $group->getRouteKey(),
            'key'               => [
                'public'    => $group->getPublicKey(),
                'route'     => $group->getRouteKey(),
            ], 
            'id'                => $group->id,
            'order'             => $group->order,
            'slug'              => $group->slug,
            'name'              => $group->name,
            'title'             => $group->title,
            'key'               => $group->key,
            'description'       => $group->description,
            'created_at'        => $group->created_at,
            'updated_at'        => $group->updated_at,
            'deleted_at'        => $group->deleted_at,
            'url'               => [
                'public'    => trans_url('customized/'.$group->getPublicKey()),
                'user'      => guard_url('customized/group/'.$group->getRouteKey()),
            ], 
            'status'            => trans('app.'.$group->status),
            'created_at'        => format_date($group->created_at),
            'updated_at'        => format_date($group->updated_at),
        ];
    }
}